## com.baidubce.services.media.model
Class ListPipelinesResponse

    java.lang.Object
      com.baidubce.model.AbstractBceResponse
          com.baidubce.services.media.model.ListPipelinesResponse

    public class ListPipelinesResponse

extends AbstractBceResponse

Field Summary

Fields inherited from class com.baidubce.model.AbstractBceResponse
`metadata`

Constructor Summary
`ListPipelinesResponse()`

Method Summary
`List<PipelineStatus>` `getPipelines()` list of pipeline information
`void` `setPipelines(List<PipelineStatus> pipelines)`
`String` `toString()`

Methods inherited from class com.baidubce.model.AbstractBceResponse
`getMetadata`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ListPipelinesResponse

    public ListPipelinesResponse()

Method Detail

### getPipelines

    public List<PipelineStatus> getPipelines()

  list of pipeline information

### setPipelines

    public void setPipelines(List<PipelineStatus> pipelines)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.